=== debian/changelog ===
ros-noetic-xpp-hyq (1.0.10-1buster) buster; urgency=high

  * add xacro dependency
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Fri, 05 Apr 2019 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.9-1buster) buster; urgency=high

  * Merge pull request #7 from zlingkang/xacropi2xacro
    change deprecated xacro.py to xacro
  * Contributors: zlingkang

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.8-1buster) buster; urgency=high

  * avoid IK segfault for biped/hyq when not enough ee positions sent
  * removed limits on hyqleg joint angles
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Sat, 07 Jul 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.7-1buster) buster; urgency=high

  * add rviz launch specifically for hyq
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Tue, 03 Jul 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.6-1buster) buster; urgency=high

  * add missing libxpp_hyq.so library to catkin install
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Wed, 18 Apr 2018 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.5-1buster) buster; urgency=high

  * modernize CMake files
  * use default keyword for empty destructors
  * use default BSD license
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 01 Feb 2018 08:00:00 -0000

ros-noetic-xpp-hyq (1.0.4-1buster) buster; urgency=high

  * Merge pull request #3 from leggedrobotics/devel
    Fix xacro bug and remove terrain and optimization specific classes.
  * xpp_hyq: add --inorder when processing xacro files
    see http://wiki.ros.org/xacro#Processing_Order
  * cleaned up formatting of xacro files
  * removed unused xacro origin tag causing run failure
  * Contributors: Alexander W Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Wed, 03 Jan 2018 08:00:00 -0000

ros-noetic-xpp-hyq (1.0.3-1buster) buster; urgency=high

  * removed xpp_ros_conversions (now in xpp_states)
  * 1.0.2
  * update changelog
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Fri, 03 Nov 2017 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.2-1buster) buster; urgency=high



 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Sat, 28 Oct 2017 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.1-1buster) buster; urgency=high



 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Fri, 27 Oct 2017 07:00:00 -0000

ros-noetic-xpp-hyq (1.0.0-1buster) buster; urgency=high

  * added separate xpp_example package and Readme.md
  * included install space in CMakeLists.txt
  * explicitly listing ros dependencies (not through catkin_package macro)
  * Added license to files and giving credit to contributors.
  * cleaned up package.xml and CMakeLists.txt files
  * cleaned up endeffector and joint representation
  * showed close connection of mono/bi/quad to hyq
  * added doxygen comments to header files
  * made xpp_vis robot independent. Added sample hopper executables
  * Contributors: Alexander Winkler

 -- Alexander W. Winkler <alexander.w.winkler@gmail.com>  Thu, 26 Oct 2017 07:00:00 -0000
