=== debian/control ===
Source: ros-noetic-xpp-hyq
Section: misc
Priority: optional
Maintainer: Alexander W. Winkler <alexander.w.winkler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-xacro, ros-noetic-xpp-vis
Homepage: http://github.com/leggedrobotics/xpp
Standards-Version: 3.9.2

Package: ros-noetic-xpp-hyq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-roscpp, ros-noetic-xacro, ros-noetic-xpp-vis
Description: HyQ-robot specific functions for visualization in the XPP Motion Framework.
 These include inverse kinematics as well as urdf files for a one-legged, two-legged and four legged robot with HyQ legs. The dynamic model can be found here. See also IIT.
